import 'package:onyva_mobile/models/enums/login_type.dart';
import 'package:onyva_mobile/models/owner.dart';

abstract class AuthenticationBusiness {
  Future<Owner> authenticateUser(
    LoginType loginType, {
    String email,
    String password,
  });

  Future<bool> isAlreadyAuthenticated();

  Future<bool> logouUser();
}
