import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';

Widget ButtonLogin(
    String title, Function onTap, Color firstColor, Color secundaryColor) {
  return GestureDetector(
    //onHorizontalDragEnd: onTap(),
    onTap: () => onTap(),
    child: Container(
        width: 300,
        height: 50,
        decoration: BoxDecoration(
            borderRadius: BorderRadius.circular(20),
            gradient: LinearGradient(colors: [firstColor, secundaryColor])),
        child: Center(
            child: Text(title,
                style: TextStyle(
                    fontWeight: FontWeight.bold,
                    color: Colors.white,
                    fontSize: 20)))),
  );
}

Widget ButtonLoginWthBord(
    String title, Function onTap, Color firstColor, Color secundaryColor) {
  return GestureDetector(
    //onHorizontalDragEnd: onTap(),
    onTap: () => onTap(),
    child: Container(
        width: 300,
        height: 50,
        decoration: BoxDecoration(
            borderRadius: BorderRadius.circular(20),
            border: Border.all(color: Colors.white, width: 0.5),
            gradient: LinearGradient(colors: [firstColor, secundaryColor])),
        child: Center(
            child: Text(title,
                style: TextStyle(
                    fontWeight: FontWeight.bold,
                    color: Colors.white,
                    fontSize: 20)))),
  );
}
