import 'package:flutter/material.dart';

class Stars extends StatelessWidget {
  final starsCount;
  final color;

  Stars({this.starsCount, this.color});

  @override
  Widget build(BuildContext context) {
    return Row(
      children: [
        for (var i = 0; i < 5; i++)
          Icon(
            starsCount - i >= 1
                ? Icons.star
                : (starsCount - i > 0 ? Icons.star_half : Icons.star_border),
            size: 20,
            color: color,
          ),
      ],
    );
  }
}
