class RepairShop {
  String id;
  String name;
  String address;
  List<String> specialities;
  double distance;

  RepairShop({this.id, this.name, this.address, this.distance});

  RepairShop.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    name = json['name'];
    address = json['address'];
    distance = json['distance'];
    if (json['specialities'] != null)
      specialities =
          (json['specialities'] as List).map((e) => e.toString()).toList();
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['name'] = this.name;
    data['address'] = this.address;
    data['distance'] = this.distance;
    data['specialities'] = this.specialities;
    return data;
  }
}
