class ScheduledMaintenance {
  String id;
  int indicatedPeriod;
  int indicatedMileage;
  String inspectionItems;
  String replaceItems;
  String title;

  ScheduledMaintenance(
      {this.id,
      this.indicatedPeriod,
      this.indicatedMileage,
      this.inspectionItems,
      this.replaceItems,
      this.title});

  ScheduledMaintenance.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    indicatedPeriod = int.tryParse(json['indicatedPeriod'].toString());
    indicatedMileage = int.tryParse(json['indicatedMileage'].toString());
    inspectionItems = json['inspectionItems'];
    replaceItems = json['replaceItems'];
    title = json['title'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['indicatedPeriod'] = this.indicatedPeriod;
    data['indicatedMileage'] = this.indicatedMileage;
    data['inspectionItems'] = this.inspectionItems;
    data['replaceItems'] = this.replaceItems;
    data['title'] = this.title;
    return data;
  }
}
