import 'package:onyva_mobile/app_config.dart';
import 'package:onyva_mobile/core/repositories/remote/implementation/remote_repository_adapter_impl.dart';
import 'package:onyva_mobile/core/repositories/remote/remote_repository_adapter.dart';
import 'package:onyva_mobile/repositories/e-pedigree_repository.dart';

class EPedigreeRepositoryImpl implements EPedigreeRepository {
  RemoteRepositoryAdapter _remoteRepositoryAdapter =
      new RemoteRepositoryAdapterImpl();

  @override
  Future<List<dynamic>> ePedigree(String id) async {
    print(id);
    final response = await _remoteRepositoryAdapter
        .get('$API_URL/maintenance-schedules/vehicle?vehicleId=$id');
    print(response.responseBody);
    return response.responseBody;
  }
}
