import 'package:onyva_mobile/models/maintenance_scheduling.dart';

abstract class MaintenanceRepository {
  Future<List<dynamic>> getScheduledMaintenancesByBrandModel(
    String brand,
    String model,
  );

  Future<MaintenanceScheduling> scheduleMaintenance(
    MaintenanceScheduling maintenanceScheduling,
  );

  Future<MaintenanceScheduling> getScheduledMaintenanceRequestPendingApproval(
    String ownerId,
  );
}
