import 'package:email_validator/email_validator.dart';

abstract class LoginPageValidator {
  static String validateEmail(String email) {
    if (email == null || email.trim().isEmpty) {
      return 'O e-mail deve ser informado.';
    }

    if (!EmailValidator.validate(email.trim())) {
      return 'Deve ser informado um e-mail válido.';
    }

    return null;
  }

  static String validatePassword(String password) {
    if (password == null || password.trim().isEmpty) {
      return 'A senha deve ser informada.';
    }

    return null;
  }
}
