import 'package:flutter/material.dart';
import 'package:onyva_mobile/models/enums/login_type.dart';

abstract class LoginViewModel {
  void toggleObscureText();

  void dispose();

  void login(
    BuildContext context,
    LoginType loginType,
  );

  void goToHomePageIfHasBeenAuthenticated(BuildContext context);

  bool get isLoading;

  bool get showPassword;

  TextEditingController get emailCtrl;

  TextEditingController get passwordCtrl;
}
