import 'package:flutter/widgets.dart';

abstract class SignUpViewModel {
  TextEditingController get nomeCtrl;
  TextEditingController get cpfCtrl;
  TextEditingController get emailCtrl;
  TextEditingController get telefoneCtrl;
  TextEditingController get senhaCtrl;
  bool get showPassword;
  bool get agreedTermsOfService;
  bool get isbusy;

  void toggleShowPassword();
  void updateBusyState(bool newState);
  void updateAgreedTermsOfServiceState(bool newState);
  Future<void> signUp(BuildContext context);
}
