# onyva-mobile-usuario

## Configurando o ambiente de desenvolvimento do aplicativo mobile do usuário

### Instalando Flutter:

O download do flutter pode ser encontrado no seguinte [link](https://flutter.dev/docs/get-started/install/).

Selecione a plataforma que você deseja instalar o flutter(MacOS, Linux, Windows ou Chrome OS) e siga os passos oficiais de como instalar.

**Verificação**

Após a instalação você pode verificar se ela ocorreu corretamente executando o comando `flutter doctor`(Com isso você verá se existe alguma dependência de plataforma que você precisa para concluir a configuração. Exemplo: Android Studio).

### Configurando IDE:

É aconselhado a utilização do Visual Studio Code (Pode ser encontrado no seguinte [link](https://code.visualstudio.com/)).

Instale as extensões Dart e Flutter para o Visual Studio Code. [Guia oficial de configuração do Visual Studio Code para o flutter](https://flutter.dev/docs/get-started/editor?tab=vscode).

Depois de instalar as extensões necessárias, pressione as teclas `ctrl` `shift` `p` para acessar a aba de pesquisa do Visual Studio Code. Pesquise por settings e abra o arquivo com nome `Preferences: Open Settings (JSON)`.

Nesse arquivo modifique o seguinte trecho:

```
"[dart]": {
    "editor.formatOnSave": false,
    ...
}
```
Para:
```
"[dart]": {
    "editor.formatOnSave": true,
    ...
}
```

### Clonando o projeto:

Existem duas possíveis formas de clonar o projeto:

Via HTTP: `git clone http://tools.ages.pucrs.br/onyva/onyva-mobile-usuario.git`

Via SSH: `git clone ssh://git@tools.ages.pucrs.br:8822/onyva/onyva-mobile-usuario.git`

### Instalação de pacotes:

Abra o Visual Studio Code na pasta do projeto (onyva-mobile-usuario), aperte `ctrl` `shift` `p`, escreva "Flutter get packages" e dê enter para instalar os pacotes necessários.

### Executando o projeto:

Após a instalação dos pacotes você pode executar um emulador de Android ou conectar o seu próprio smartphone via USB habilitando a configuração "Depuração via USB" em "Opções do desenvolvedor"(para Android), rodar a aplicação pressionando "F5"(No Visual Studio Code) e em alguns instantes a aplicação estará abrindo no smartphone.
