import 'package:onyva_mobile/models/repair_shop.dart';
import 'package:onyva_mobile/models/repair_shop_calendar.dart';

abstract class RepairShopBusiness {
  Future<List<RepairShopCalendarEvent>> getRepairShopCalendarById(
    int repairShopId,
  );

  Future<List<RepairShop>> getRepairShops(List<String> services);

  Future<List<String>> getServicesByBrandModel(String brand, String model);
}
