class OcrModel {
  String marca;
  String modelo;
  String anoFab;
  String anoMod;
  String cor;
  String renavam;
  bool busy = false;

  OcrModel(
      {this.marca,
      this.modelo,
      this.anoFab,
      this.anoMod,
      this.cor,
      this.renavam});

  OcrModel.fromJson(Map<String, dynamic> json) {
    marca = json['marca'];
    modelo = json['modelo'];
    anoFab = json['anoFab'];
    anoMod = json['anoMod'];
    cor = json['cor'];
    renavam = json['renavam'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['marca'] = this.marca;
    data['modelo'] = this.modelo;
    data['anoFab'] = this.anoFab;
    data['anoMod'] = this.anoMod;
    data['cor'] = this.cor;
    data['renavam'] = this.renavam;

    return data;
  }
}
