import 'package:onyva_mobile/models/repair_shop.dart';

class RepairShopSearchResult {
  RepairShop result;
  List<String> serviceFilters;

  RepairShopSearchResult({this.result, this.serviceFilters});

  RepairShopSearchResult.fromJson(Map<String, dynamic> json) {
    result = json['result'];
    serviceFilters = json['serviceFilters'].cast<String>();
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['result'] = this.result;
    data['serviceFilters'] = this.serviceFilters;
    return data;
  }
}
