import 'package:mobx/mobx.dart';

part 'main_store.g.dart';

class MainStore = MainStoreBase with _$MainStore;

abstract class MainStoreBase with Store {
  @observable
  bool isBusy = false;

  @action
  void updateBusyState(bool newBusyState) {
    this.isBusy = newBusyState;
  }
}
