import 'package:flutter/src/widgets/framework.dart';
import 'package:onyva_mobile/app_routes.dart';
import 'package:onyva_mobile/business/e-pedigree_business.dart';
import 'package:onyva_mobile/business/implementation/e-pedigree_business_impl.dart';
import 'package:onyva_mobile/core/utils/functions.dart';
import 'package:onyva_mobile/models/e-pedigree.dart';
import 'package:onyva_mobile/viewmodel/e-pedigree_viewmodel.dart';

class EPedigreeViewModelImpl implements EPedigreeViewModel {
  final EPedigreeBusiness _business = EPedigreeBusinessImpl();

  @override
  void goToEPedigreeMaintenance(BuildContext context, EPedigreeModel item) {
    pushNamedWithArguments(context, AppRoutes.EPEDIGREE_MAINTENANCE_PAGE, item);
  }

  @override
  Future<List<dynamic>> ePedigree(String id) async {
    return await _business.ePedigree(id);
  }
}
