import 'package:flutter/cupertino.dart';
import 'package:onyva_mobile/models/e-pedigree.dart';
import 'package:onyva_mobile/models/requested_maintenance.dart';
import 'package:onyva_mobile/models/vehicle.dart';

abstract class MainViewModel {
  Future<void> selectVehicle(BuildContext context, Vehicle vehicle);
  void goToVehicleRegisterPage(BuildContext context);
  void goToScheduledMaintenance(
      BuildContext context, ManutentionType manutentionType);
  void goToVehicleKmUpdate(BuildContext context);
  void goToEPedigree(BuildContext context, List<dynamic> vehicle);
  bool get isBusy;
}
