import 'package:mockito/mockito.dart';
import 'package:onyva_mobile/repositories/impl/repair_shop_repository_impl.dart';
import 'package:onyva_mobile/repositories/repair_shop_repository.dart';
import 'package:test/test.dart';

const repairShopCalendarMock = [
  {
    "start": {"dateTime": "2020-10-23T10:00:00-03:00"},
    "end": {"dateTime": "2020-10-23T10:30:00-03:00"},
    "summary": "Lucas Pinheiro, Chevrolet A20",
    "description": "Manutenções previstas:\nTroca de óleo\nFiltro de ar"
  }
];
void main() {
  group('Calendar ', () {
    final RepairShopRepository repairShopRepository =
        RepairShopRepositoryImpl();
    const fakeRepairShopId = 1;

    test('Calendar API has data', () {
      when(
        repairShopRepository.getRepairShopCalendar(fakeRepairShopId),
      ).thenReturn(
        Future.value(repairShopCalendarMock),
      );
    });

    expect(true, true);
  });
}
